{"openapi":"3.1.0","info":{"title":"Scrape Creators API","description":"The easiest way to scrape public social media data at scale. Extract profiles, posts, videos, comments, and more from TikTok, Instagram, YouTube, Twitter, LinkedIn, Facebook, Reddit, and 27+ platforms.","version":"1.0.0","contact":{"name":"Scrape Creators","url":"https://scrapecreators.com","email":"support@scrapecreators.com"}},"servers":[{"url":"https://api.scrapecreators.com","description":"Production server"}],"security":[{"apiKeyAuth":[]}],"tags":[{"name":"Spotify","description":"Scrape Spotify artists, songs, albums, playlists, and podcasts"}],"paths":{"/v1/spotify/playlist":{"get":{"tags":["Spotify"],"summary":"Playlist","description":"Retrieves public Spotify playlist metadata and up to 50 tracks by playlist id or URL. For playlists with more tracks, pass the returned cursor into the next request until cursor is null.","parameters":[{"name":"id","in":"query","required":false,"description":"Spotify playlist id. If you'd prefer to use the URL instead, you can use the url parameter instead.","schema":{"type":"string"},"example":"37i9dQZF1DX4UtSsGT1Sbe"},{"name":"url","in":"query","required":false,"description":"Spotify playlist URL. If you'd prefer to use the id instead, you can use the id parameter instead.","schema":{"type":"string"},"example":"https://open.spotify.com/playlist/37i9dQZF1DX4UtSsGT1Sbe"},{"name":"cursor","in":"query","required":false,"description":"Cursor returned by the previous response. Omit it for the first page.","schema":{"type":"string"},"example":"50"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"example":{"success":true,"credits_remaining":100,"credits_charged":1,"id":"37i9dQZF1DX4UtSsGT1Sbe","uri":"spotify:playlist:37i9dQZF1DX4UtSsGT1Sbe","__typename":"Playlist","description":"The biggest songs of the 1980s. Cover: Madonna","followers":12016730,"images":[{"sources":[{"height":null,"url":"https://i.scdn.co/image/ab67706f00000002fb8e01f2c022ab1a32e2c5a0","width":null}]}],"name":"All Out 80s","ownerV2":{"__typename":"User","name":"Spotify","uri":"spotify:user:spotify","username":"spotify"},"tracks":[{"id":"6r8k1vznHrzlEKYxL4dZEe","uri":"spotify:track:6r8k1vznHrzlEKYxL4dZEe","name":"La Isla Bonita","albumOfTrack":{"name":"True Blue","uri":"spotify:album:6fmnT17jc2Sc69q3nza1eD"},"artists":[{"profile":{"name":"Madonna"},"uri":"spotify:artist:6tbjWDEIzxoDsBA1FuhfPW"}],"duration":{"totalMilliseconds":242733},"playcount":785646615}],"cursor":50,"totalCount":150}}}}}}}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Scrape Creators API key"}}}}